Subject: Re: [Bitcoin-development] bitcoin DNS addresses

From: Matt Corallo <[email-masked]>
Date: Tue, 26 Jul 2011 03:35:56 +0200

On Mon, 2011-07-25 at 17:29 -0700, Rick Wesson wrote:
> I've just joined the list with the goals of producing a patch to
> sendtoaddress in rpc.cpp to support DNS lookups so that one could
> publish a TXT record in the DNS with their wallet address to
> facilitate sending of coin.

But...why?
Using URIs is much simpler and can be more useful in terms of being able
to give different addresses and/or values per user.
Also, despite DNSSec being "out there" DNS is still very insecure to
transmit something that will result in money transfer...some idiot tries
it on public WiFi and a MITM steals your coins...DNS is really just not
well suited for this kind of thing.
If you want nice name->address mapping, a simple HTTPS server with
addresses and client support (there are some patches around for this)
works much better in the end.